/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// 该脚本由模板创建
/// created by cb 2024

using XGame.Framework.UI;

namespace FL.FGUI
{
    public static partial class UIKeys
    {
        private static UIKey _MainBattleOverVictory;
        public static UIKey MainBattleOverVictory => _MainBattleOverVictory ?? (_MainBattleOverVictory = new UIKey("Main", "BattleOverVictory", typeof(MainBattleOverVictoryView)));
    }
    public partial class MainBattleOverVictoryView : UIView
    {
        public static UILayer Layer => UILayer.Popup;
        protected override void AddController(IUIControllerGroup group)
        {
            group.Add(new MainBattleOverVictoryCtrl());
        }

        protected override IUIViewModel CreateViewModel()
        {
            return new MainBattleOverVictoryVM();
        }

        protected override void OnDispose()
        {
        }
    }
}

